package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelOrderCreateRequest struct {
	/*
	   订单信息     */
	OrderInfo *domain.AlibabaTclsAelophyMerchantChannelOrderCreateOrderInfo `json:"order_info" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantChannelOrderCreateRequest) SetOrderInfo(v domain.AlibabaTclsAelophyMerchantChannelOrderCreateOrderInfo) *AlibabaTclsAelophyMerchantChannelOrderCreateRequest {
	s.OrderInfo = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantChannelOrderCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderInfo != nil {
		paramMap["order_info"] = util.ConvertStruct(*req.OrderInfo)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantChannelOrderCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
